Space Sites

Create Space Site

Create a space site

post
/v1/space/{spaceId}/site/create

Authorization

ChatBotKit API Secret * Required

HTTP Authorization Scheme: bearer

Path Parameters

spaceIdstring* Required

Request Body * Required

Request Body Schema: application/json

aliasstring

The unique alias for the instance

namestring

The associated name

descriptionstring

The associated description

metaobject

Meta data information

domainstring

The host the site is served at (a <label>.chatbotkit.space subdomain)

prefixstring

Optional folder prefix inside the space to serve from

indexstring

Directory index filename

notFoundstring

Not found filename

import { ChatBotKit } from '@chatbotkit/sdk'

const cbk = new ChatBotKit({

secret: process.env.CHATBOTKIT_API_KEY!

})

const response = await cbk.space.site.create(

spaceId,
{
"alias":"string",
"name":"string",
"description":"string",
"meta":"object",
"domain":"string",
"prefix":"string",
"index":"string",
"notFound":"string"
}
)
{
"id":"string"
}
The site was created successfully